{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.hostName}";
  flags = currentMachine.configuration-flags;
in

mkIf (flags.jetbrains-licensed && flags.graphical) {

  # Paquets
  environment.systemPackages = with pkgs; [
    idea.idea-ultimate
    idea.clion
    idea.datagrip
    idea.pycharm-professional
  ];
}
