{lib}:
let
  profiles = {
    isDesktopEnvironment = {
      awesome = true;
      internetSuite = true;
      multimediaSuite = true;
      officeSuite = true;
      pulseaudio = true;
      securitySuite = true;
    };
    isWorkstation = {
      graphical = true;
      docker = true;
    };
    isServer = {
    };
  };

in

rec {
  applyProfilesToDirectory = customProfiles: directory:
    lib.mapAttrs (applyProfilesToMachine customProfiles) directory;

  applyProfilesToMachine = customProfiles: machineName: machineOptions:
    machineOptions;
    #lib.recursiveUpdate {} machineOptions;
}
